import { FrameRange } from '../AppState';

function frameToWaveformCanvasX(
  frame: number,
  viewport: FrameRange,
  canvasWidth: number
): number | null {
  if (frame < viewport.start || frame > viewport.end) {
    return null;
  }

  const pixelsPerFrame = canvasWidth / (viewport.end - viewport.start);
  return (frame - viewport.start) * pixelsPerFrame;
}

export default frameToWaveformCanvasX;
